﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Linq.Mapping;
using System.Data.Linq;

namespace WindowsFormsApplication1
{
    public class MyClass
    {
        
        public MyClass()
        {
            
        }

        public void MethodName()
        {
            DataContext context = new DataContext();
            context.CreateDatabase();
        }
    }

    [Table(Name = "ZCUG")]
    public class ZipInfo
    {
        [Column(Name = "zip")]
        public string postalCode;
        [Column]
        public string city;
        [Column(Name = "st")]
        public string state;
        [Column]
        public string county;
        [Column]
        public string country;
        [Column(Name = "ac")]
        public string areaCode;
        [Column(Name = "tz")]
        public string timeZone;
        [Column]
        public string dst;
        [Column(Name = "long")]
        public double longitude;
        [Column(Name = "lat")]
        public double latitude;

        public long Longitude
        {
            get
            {
                return Int64.Parse(m_longitudeAsString);
            }
            set
            {
                m_longitudeAsString = value.ToString();
            }
        }

        private string m_longitudeAsString;
        
        [Column(Name = "long", Storage="m_longitudeInternal")]
        public string LongitudeAsString
        {
            get
            {
                return m_longitudeAsString;
            }
        }
    }

}
